# MS_HSequenceOfComponent.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_MS_HSequenceOfComponent.hxx>`
`#include <MS_SequenceOfComponent.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_MS_Component.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_MS_Component
#define | Item_hxx <MS_Component.hxx>
#define | TheSequence MS_SequenceOfComponent
#define | TheSequence_hxx <MS_SequenceOfComponent.hxx>
#define | TCollection_HSequence MS_HSequenceOfComponent
#define | TCollection_HSequence_hxx <MS_HSequenceOfComponent.hxx>
#define | Handle_TCollection_HSequence Handle_MS_HSequenceOfComponent
#define | TCollection_HSequence_Type_() MS_HSequenceOfComponent_Type_()

## Functions

Handle_MS_HSequenceOfComponent | ShallowCopy (const Handle_MS_HSequenceOfComponent &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_MS_HSequenceOfComponent

#define Item Handle_MS_Component

#define Item_hxx <MS_Component.hxx>

#define TCollection_HSequence MS_HSequenceOfComponent

#define TCollection_HSequence_hxx <MS_HSequenceOfComponent.hxx>

#define TCollection_HSequence_Type_ | (

)

MS_HSequenceOfComponent_Type_()

#define TheSequence MS_SequenceOfComponent

#define TheSequence_hxx <MS_SequenceOfComponent.hxx>

## Function Documentation

Handle_MS_HSequenceOfComponent ShallowCopy | ( | const Handle_MS_HSequenceOfComponent & | me | ) | `[inline]`